### Method

# GVnc Framebuffer rgb24_blt

#### Declaration [src]

    void
    vnc_framebuffer_rgb24_blt (
      VncFramebuffer* fb,
      guint8* src,
      int rowstride,
      guint16 x,
      guint16 y,
      guint16 width,
      guint16 height
    )

#### Description [src]

Fill all the pixels in the range (`x`, `y`) to (`x` + `width`, `y` + `height`) to the value in `src`. The number of bytes in `src` is always 3 as it must be in plain RGB24 format.

#### Parameters

`src`

  Type: An array of `guint8`

  The new pixel data.

  The data is owned by the caller of the method.

`rowstride`

  Type: `int`

  The number of bytes per row.

`x`

  Type: `guint16`

  The horizontal pixel to start filling.

`y`

  Type: `guint16`

  The vertical pixel to start filling.

`width`

  Type: `guint16`

  The number of pixels to fill horizontally.

`height`

  Type: `guint16`

  The number of pixels to fill vertically.